Get shared filter
curl --request GET \
--url https://api.cloudcapital.co/v1/cost-insights/shared-filters/{filterId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudcapital.co/v1/cost-insights/shared-filters/{filterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudcapital.co/v1/cost-insights/shared-filters/{filterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"filterConfiguration": {
"filters": {
"inclusions": {
"costLayers": [
"<string>"
],
"clouds": [
"<string>"
],
"services": [
"<string>"
],
"resourceFamilies": [
"<string>"
],
"regions": [
"<string>"
],
"instanceTypes": [
"<string>"
],
"usageTypes": [
"<string>"
],
"billingPeriods": [
"<string>"
],
"dateRange": {
"start": "2026-01-01",
"end": "2026-03-31"
},
"costTypes": [
"<string>"
],
"accountIds": [
"<string>"
],
"integrationIds": [
"<string>"
],
"resourceTag": "<string>",
"resourceTagValues": [
"<string>"
],
"costCategory": "<string>",
"costCategoryValues": [
"<string>"
]
},
"exclusions": {
"costLayers": [
"<string>"
],
"clouds": [
"<string>"
],
"services": [
"<string>"
],
"resourceFamilies": [
"<string>"
],
"regions": [
"<string>"
],
"instanceTypes": [
"<string>"
],
"usageTypes": [
"<string>"
],
"billingPeriods": [
"<string>"
],
"dateRange": {
"start": "2026-01-01",
"end": "2026-03-31"
},
"costTypes": [
"<string>"
],
"accountIds": [
"<string>"
],
"integrationIds": [
"<string>"
],
"resourceTag": "<string>",
"resourceTagValues": [
"<string>"
],
"costCategory": "<string>",
"costCategoryValues": [
"<string>"
]
}
},
"groupBy": {
"dimension": "<string>"
},
"metric": "<string>",
"comparisonEnabled": true,
"metadata": {
"name": "<string>",
"description": "<string>"
}
}
}
}{
"message": "Unauthorized"
}{
"success": false,
"error": {
"message": "Rate limit exceeded. Please retry after the specified time."
}
}{
"success": false,
"error": {
"message": "Error: Shared filter not found or has expired"
}
}Cost insights
Get shared filter
Retrieve a previously stored shared filter configuration by its ID.
GET
/
cost-insights
/
shared-filters
/
{filterId}
Get shared filter
Authorizations
API key authentication. Generate an API key from your
Cloud Capital dashboard under Settings > API keys.
Include it in the Authorization header as a Bearer token.
Path Parameters
The unique identifier of the shared filter
Response
Shared filter retrieved successfully
Successful HTTP responses wrap the endpoint-specific body in data.
Each operation's 200 response schema is this object merged (allOf)
with a data property referencing the payload schema for that endpoint.
⌘I

